/* VARIABLES */
:root {
    --mx-width: 1320px;

    --color-text-body: #525260;
    --primary-color: #5956e9;
    --primary-secondary: #FFF;
    --color-banner: #2522BA;
    --color-text-btn: #0d6efd;
    --color-bg-btn: #ffdc60;
    --color-service-subtitle: #c75c6f;
    --color-title: #292930;
    --color-bg-card-services: #f8f8f8;
    --color-bg-projects: #ecf2f6;
    --color-bg-dark: #27272E;
    --color-hover-dark: #303035;
    --color-borders: #e3e6e9
}

/* GENERAL STYLES*/

html {
    /* font-size: 62.5%; */
    font-size: 10px;
    overflow-x: hidden;
}

body {
    width: 100%;
    height: 100%;
    overflow-x: hidden;
    font-size: 1.6rem;
    font-family: 'DM Sans', sans-serif;
    font-weight: 400;
    line-height: 1.5rem;
    color: var(--color-text-body);
}

/* STRUCTURE */

.layout {
    width: 100%;
    min-width: 1200px;
    height: 100%;
}


/* SECTION MENU  */
.layout__menu {
    width: 100%;
    padding: 3rem 3.5rem;
}

  .menu__navbar {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center; 
}

.menu__navbar--fixed {
    position: fixed;
    top: 0;
    right: 0;
    left: 0;
    z-index: 9;
    background-color: var(--primary-secondary);
    box-shadow: 0px 2px 10px 0 rgba(0, 0, 0, 0.10);
    padding: 1.5rem 8rem;
}

.navbar__logo {
    width: 187px;
}

.nav__list {
    display: flex;
    flex-direction: row;
    justify-content: center;
} 

.navbar__nav {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.nav__item {
    position: relative;
    margin: 0 2.4rem;
}

.nav__title {
    position: relative;
    display: inline-block;
    font-weight: 500;
    line-height: 6rem;
    color: var(--color-text-body);
    transition: all 300ms ease-in-out;
}


.nav__title:hover {
    color: var(--primary-color);
}

.nav__title::before {
    content: "";
    height: 0.2rem;
    width: 0% ;
    background-color: var(--primary-color);
    position: absolute;
    bottom: 1.2rem;
    left: 0;
    opacity: 0;
    transition: all 500ms linear;
}

.nav__title:hover::before {
    width: 100%;
    opacity: 1;
    transition: all 200ms linear;
}



.nav__icon {
    font-size: 1rem;
    font-weight: bold;
    padding-left: 0.2rem;
    vertical-align: middle;
}

.nav__submenu {
    display: block;
    position: absolute;
    top: 100%;
    left: 2rem;
    min-width: 19rem;
    padding: 1.5rem 1rem;
    border-radius: 4px;
    background-color: var(--primary-secondary);
    box-shadow: 0px 13px 48px 0 rgba(0, 0, 0, 0.15);

    opacity: 0;
    visibility: hidden;
    transition: all 300ms ease-in-out;
}

.submenu__item {
    opacity: 1;
    transform: translateX(20px);
    transition: all 0.1s ease-in-out; 
}

.submenu__item:nth-child(1) {
    transition-delay: 100ms;
}
.submenu__item:nth-child(2) {
    transition-delay: 200ms;
}
.submenu__item:nth-child(3) {
    transition-delay: 300ms;
}
.submenu__item:nth-child(4) {
    transition-delay: 400ms;
}
.submenu__item:nth-child(5) {
    transition-delay: 500ms;
}
.submenu__item:nth-child(6) {
    transition-delay: 600ms;
}

.submenu__title {
    display: block;
    position: relative;
    font-size: 1.5rem;
    text-transform: capitalize;
    text-decoration: none;
    font-weight: 500;
    color: var(--color-text-body);
    padding: 0.7rem 0;
    transition: all 300ms ease-in-out;
}

.nav__item:hover>.nav__submenu  {
    z-index: 999;
    left: 0;
    visibility: visible;
    opacity: 1;
}

.nav__item:hover>.submenu__item {
    opacity: 1;
    transform: translateX(0);
} 

.submenu__title:hover {
    color: var(--primary-color);
}

.submenu__title::after {
    content: "";
    height: 0.1rem;
    width: 0;
    position: absolute;
    top: 75%;
    left: 0;
    background-color: var(--primary-color);
    transition: all 300ms ease-in-out;
}

.submenu__title:hover::after {
    width: 80%;
}


/* ESTILOS PARA EL BANNER */

.layout__banner {
    position: relative;
    min-height: 60rem; 
    margin: 0 3rem;
    padding-right: 0;
    padding-left: 10rem;
    padding-top: 15rem;
    padding-bottom: 20rem;
    width: calc(100% - 6rem);
    border-radius: 60px;
    overflow: hidden;
    background-color: var(--color-banner); 
    z-index: 2; 
}

.banner__content {
    position: relative;
    display: inline-block;
    width: 50%;
    padding: 0 1.5rem;  
    height: 20vh; 
    z-index: 5;
}

.banner__title,
.stats__title,
.clients__title {
    font-size: 5rem;
    font-weight: 500;
    line-height: 5rem;
    color: var(--primary-secondary);
    margin-bottom: 5rem;
}

.banner__btn {
    top: 25rem;
    display: inline-block;
    background-color: var(--primary-secondary);
    color: var(--color-text-btn);
    padding: 2rem 4rem;
    border-radius: 20px;
    font-weight: 500;
    font-size: 1.7rem;
    text-transform: capitalize;
    text-align: center;
    box-shadow: 0px 45px 80px -25px var(--primary-color);
}

.banner__btn:hover {
    background-color: var(--color-bg-btn);
    color: var(--color-text-body);
    transition: all 200ms ease-in-out;
}

.shapes__item {
    position: absolute;
    z-index: 2;
    pointer-events: none;
}

.shapes__item--shape1 {
    text-align: right;
    right: 0;
    top: 0;

    animation-name: showRight;
    animation-duration: 1s;
}

@keyframes showRight {
    0% {
        transform: translateX(50%);
    }

    100% {
        transform: translateX(0%);       
    }
}

.shapes__item--shape2 {
    bottom: 0;
    left: 0;
    z-index: 1;

    animation-name: showLeft;
    animation-duration: 500ms;
}

@keyframes showLeft {
    0% {
        transform: translateX(-30%);
    }
    100% {
        transform: translate(0%);
    }
}

.shapes__item--shape3 {
    top: 34%;
    left: 50%;
    animation: moveShape3 20s infinite;
}

@keyframes moveShape3 {
    0% {
        transform: translateX(0) translateY(0);
    }
    
    40% {
        transform: translateX(50px) translateY(100px);
        
    }
    
    75% {
        transform: translateX(450px) translateY(150px);
        
    }
    
    100% {
        transform: translateX(0) translateY(0);

    }
}

.shapes__item--shape4 {
    bottom: 20rem;
    left: 45%;
    animation: moveShape4 30s infinite;


}

@keyframes moveShape4 {
    0% {
        transform: translateX(0) translateY(0);
    }
    
    40% {
        transform: translateZ(80%);
        
    }
    
    75% {
        transform: translateX(90px) translateY(-400px);
        
    }
    
    100% {
        transform: translateX(0) translateY(0);

    }
}

.shapes__item--shape4 .shapes__image {
    opacity: 0.3;
    width: 7.5rem;
}

.shapes__item--shape5 {
    bottom: 2rem;
    left: 55%;
    animation: moveShape5 25s infinite;
}

@keyframes moveShape5 {
    0% {
        transform: translateX(0) translateY(0);
    }
    
    40% {
        transform: translateZ(-80%);
        
    }
    
    75% {
        transform: translateX(800px);
        
    }
    
    100% {
        transform: translateX(0) translateY(0);

    }
}

.shapes__item--shape6 {
    bottom: 10rem;
    left: 40%;
    animation: moveShape6 20s infinite;
}

@keyframes moveShape6 {
    0% {
        transform: translateX(0) translateY(0);
    }
    
    40% {
        transform: translateX(230px) translateY(-250px);
        
    }
    
    75% {
        transform: translateX(250px);
        
    }
    
    100% {
        transform: translateX(0) translateY(0);

    }
}

.shapes__item--shape7 {
    top: 0;
    right: 10rem;
    z-index: 1;

    animation-name: showTop;
    animation-duration: 1s;
}

@keyframes showTop {
    0% {
        transform: translateY(-30%);
    }
    100% {
        transform: translateY(0%);
    }
}

/* ESTILOS SERVICIOS */

.layout__services {
    position: relative;
    margin: 14rem 10rem;
    margin-bottom: 5rem;
    z-index: 2;
}

.services__grid {
    max-width: var(--mx-width);
    margin: 0 auto;
    z-index: 3;
}

.services__header {
    text-align: left;
    margin-bottom: 2rem;
}

.services__subtitle,
.projects__subtitle,
.stats__subtitle,
.reviews__subtitle,
.clients__subtitle,
.news__subtitle {
    font-size: 2rem;
    font-weight: 500;
    margin-bottom: 1.5rem;
    color: var(--color-service-subtitle);
}

.services__title,
.projects__title,
.reviews__title,
.news__title {
    font-size: 6.2rem;
    line-height: 1.2;
    font-weight: 500;
    color: var(--color-title);
}

.services__list {
    display: flex;
    flex-direction: row;
    gap: 3rem;
}

.services__service {
    width: 33%;
    height: 100%;
    padding: 5rem 4rem;
    border-radius: 3rem;
    margin-bottom: 4rem;
    background: linear-gradient(180deg, var(--color-bg-card-services), rgba(255, 255, 255, 0));
    background-color: var(--primary-secondary);
    border-image-source:  linear-gradient(90deg, var(--color-bg-card-services), rgba(255, 255, 255, 0));
    transition: all 300ms ease-in-out;
    display: flex;
    flex-direction: row;
}

.services__service:hover {
    background-color: var(--color-bg-card-services);
}

.service__container-img {
    margin-right: 2.5rem;
    max-width: 8.5rem;
}

.service__content {
    flex-basis: 1;
}

.service__title,
.project__title,
.stats__title,
.reviews__title
 {
    color: var(--color-text-body);
    margin-bottom: 1.2rem;
    font-size: 2em;
    font-weight: 500;
    line-height: 1.4;
}

.service__description {
    overflow: hidden;
    font-size: 1.7rem;
    margin-bottom: 3rem;
    color: var(--color-text-body);
    line-height: 2rem;
}

.service__more {
    position: relative;
    display: inline-block;
    font-weight: 500;
    padding-left: 5rem;
    transition: all 300ms ease-in-out;
}

.service__more::before {
    position: absolute; 
    top: 50%;
    left: 0%;
    transition: all 300ms ease-in-out;
    content: "";
    width: 3.4rem;
    background-color: var(--color-text-body);
    height: 1px;
}

.service__more:hover,
.service__title:hover {
    color: var(--primary-color);
}

.service__more:hover .service__more::before{
    background-color: var(--primary-color);
}

   /* ESCALONADO DE LASTARJETAS DE SERVICIOS */

.services__service--bottom {
    margin-top: 20rem;
}

.services__service--middle {
    margin-top: 10rem;
}

.services__service--top {
    margin-top: 0;
}

   /* Formas detras de los servicios */

.services-shapes__item {
    position: absolute;
    pointer-events: none;
    /* top: 0; */
}

.services-shapes--shape1 {
    top: -75px;
    right: 70px;
    z-index: -1;
}
.services-shapes--shape2 {
    top: 7%;
    left: 52%;
}

.services-shapes--shape3 {
    top: 35%;
    left: 140px;
}

/* ESTILOS DE PROYECTOS */
.layout__projects {
    position: relative;
    background-color: var(--color-bg-projects);
    padding: 14rem 10rem;
}

.projects__grid {
    max-width: var(--mx-width);
    margin: 0 auto;
}

.projects__header {
    margin-bottom: 4rem;
}

.project__title:hover {
    color: var(--color-banner);
}

.projects__subtitle {
    text-transform: capitalize;
}

.projects__categories {
    margin-bottom: 5.5rem;
    display: flex;
    flex-direction: row;
    gap: 7rem;
}

.categories__item {
    position: relative;
    font-weight: 500;
    cursor: pointer;
    padding: 0.8rem 0;
}

.categories__item--active,
.categories__item:hover {
    border-bottom: 2px solid var(--primary-color);
    transition: all 100ms linear;
}

.projects__all {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 4rem 7rem;
}

.project__container-img {
    width: 100%;
    border-radius: 30px 30px 0 0;
    overflow: hidden;
}

.project__img {
    width: 100%;
    transition: all 200ms linear;
}

.projects__project:hover .project__img {
    transform: scale(1.2);
}
.projects__project {
    background-color: var(--color-bg-card-services);
    border-radius: 0 0 3px 3px;
}
.project__content {
    margin: 4rem 0 3rem 5rem;

}

.project__link-title {
    margin-bottom: 1.5rem;
    font-size: 2.3rem;
    color: var(--color-title);
    font-weight: 500;
}

.project__link-title:hover {
    color: var(--color-banner);
    transition: all 300ms ease-in-out;
}

.project-shapes__item {
    position: absolute;
    /* z-index: 5; */
    pointer-events: none;
    top: 0;
}

.project-shapes--shape1 {
    top: 2%;
    right: 10%;
}

.project-shapes--shape2 {
    right: 45%;
    top: 6%;
}

.project-shapes--shape3 {
    left: 4%;
    z-index: -1;
    top: 93%;
}


/* ESTILOS PARA ESTADISTICAS */

.layout__stats,
.layout__clients {
     background-color: var(--color-bg-dark);
     height: 85vh;
     padding: 14rem 11rem;
}

.stats__container,
.clients__container {
    max-width: var(--mx-width);
    min-height: 80vh;
    margin: 0 auto;
}

.stats__header,
.news__header {
    text-align: center;
}

.stats__title {
    font-size: 6rem;
    color: white;
    margin-top: 2rem;
    margin-bottom: 3rem;
}

.stats__description,
.news__description {
    font-size: 1.8rem;
    width: 50%;
    margin: 0 auto;
    margin-bottom: 5rem;
}

.stats__progress {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}

.stats__stat {
    width: 25%;
    text-align: center;
    padding: 4rem 3rem;
    border-radius: 2rem;
}

.stats__stat:hover {
    background: linear-gradient(180deg, var(--color-bg-dark), var(--color-hover-dark));
    border: 1px solid var(--color-hover-dark);
}

.stat__count {
    color: var(--primary-color);
    font-size: 4.5rem;
    font-weight: 500;
    padding-top: 3rem;
    padding-bottom: 2rem;
}

.stat__title {
    color: var(--primary-secondary);
    font-size: 1.8rem;
    opacity: 0.9;
    font-weight: 400;
    margin: 2rem 0;
}

.stat__icon {
    display: flex;
    justify-content: center;
    margin-bottom: 4.9rem;
}

/* ESTILOS PARA REVIEWS */

.layout__reviews {
    position: relative;
    z-index: 1;
    padding-top: 14rem;
    padding-bottom: 11rem;
}

.reviews__grid {
    max-width: var(--mx-width);
    margin: 0 auto;
}

.reviews__header {
    text-align: left;
    padding: 0 4rem;
    margin-bottom: 6rem;
}

.reviews__description {
    margin: 3rem 0;
    width: 50%;
    font-size: 1.8rem;
}


.reviews__container {
    padding: 3rem 3rem;
    display: flex;
}

.review__img {
    margin-bottom: 3rem;
}

.review__description,
.news__description {
    font-size: 2.4rem;
    font-weight: 500;
    margin-bottom: 4rem;
    line-height: 1.2;
    color: var(--color-text-body);
}

.review__author {
    display: flex;
    gap: 2rem;
}

.author__img {
    border-radius: 4rem;
}

.author__content {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.author__container-img {
    height: 5rem;
    width: 5rem;
}

.author__name {
    font-size: 1.8rem;
    color: var(--color-title);
    font-weight: 500;
}

.author__description {
    color: #b0a6a6;
    margin-top: 1.2rem;
}

.review-shapes__img { 
    position: absolute;
    top: 29%;
    right: 36%;
}
/* ESTILOS PARA CLIENTS */

.layout__clients {
    position: relative;
}

.clients__header {
    width: 40%;
}

.clients__title {
    margin-bottom: 3rem;
}

.clients__description {
    color: var(--primary-secondary);
    opacity: 0.6;
    margin-bottom: 4rem;
}

.clients__logos {
    display: flex;
    margin-top: 5rem;
    margin: o auto;

}

.clients__item {
    width: calc(25% - 1rem);
}

.clients__img {
    filter: grayscale(100%);
    opacity: 0.3;
    transition: all 300ms ease-in-out;
}

.clients__item:hover > .clients__img {
    opacity: 1;
    filter: grayscale(0%);
    cursor: pointer;
} 

.client-shapes__item {
    position: absolute;
    z-index: 5;
    top: 5rem;
    right: 0;
    color: var(--color-bg-projects);
}

/* ESTILOS LAST NEWS */

.layout__news {
    position: relative;
    z-index: 1;
    padding: 14rem 0;
}

.news__container {
    max-width: var(--mx-width);
    margin: 0 auto;
}


.new__content {
    flex-basis: 50%;
    text-align: left;
    padding: 2rem 2rem;
}

.new__link {
    line-height: 2.9rem;
    color: var(--color-title);
    font-weight: bold;
    margin-bottom: 2.3rem;
}

.news__title {
    margin-bottom: 3rem;
}

.new__description {
    color: var(--color-text-body);
    font-size: 1.6rem;
    line-height: 2rem;
    margin-bottom: 3rem;
    margin: 0 auto;
}

.news__list {
    display: flex;
    justify-content: space-around;
}


.news__new {
    display: flex;
    flex-direction: row;
    flex-basis: 47%;
    padding-top: 4rem;
    padding: 4rem 2rem 4rem 0;
    border-top: 1px solid var(--color-borders);
    border-bottom: 1px solid var(--color-borders);
    border-radius: 20px;
    transition: all 200ms ease-in-out;
}

.news__new:first-child {
    border-right: 1px solid var(--color-borders);
    margin-right: 2.5rem;
}

.news__new:hover {
    border-top-color: var(--primary-color);
    cursor: pointer;
}

.new__container-img {
    overflow: hidden;
    border-radius: 3rem;
}

.new__img {
    border-radius: 3rem;
    transition: all 300ms ease-in-out;
}

.news__new:hover .new__img {
    transform: scale(1.1);
}

.new__title {
    font-size: 2.2rem;
    line-height: 1.4;
    font-weight: 500;
    margin-bottom: 2rem;
    color: var(--color-title);
    transition: all 300ms ease-in-out;
}


.new__more {
    display: inline-block;
    margin-top: 2rem;
    margin-left: 2rem;
    font-weight: bold;
    font-size: 1.7rem;
    transition: all 300ms ease-in-out;
}

.new__more:hover {
    color: var(--color-banner);
}

.new__title:hover {
    color: var(--primary-color);
    transition: all 200ms ease-in-out;
    cursor: pointer;
}


.new__icon {
    font-size: 1.2rem;
    vertical-align: middle;
}


.new-shapes__item {
    position: absolute;
    z-index: 1;
}


.new-shapes--shape1 {
    position: absolute;
    top: 4rem;
    left: 31.5rem;
}

.new-shapes--shape2 {
    right: 0;
    top: 12rem;
}

.new-shapes--shape3 {
    bottom: 8rem;
    left: 0;
}

.new-shapes--shape4 {
    bottom: 6rem;
    right: 18rem;
}

/* ESTILOS DE CONTACTO */

.layout__contact {
    position: relative;
    z-index: 1;
    overflow: hidden;
    padding: 14rem 0 10rem 0;
    /* background-color: var(--primary-color); */
}

.layout__contact::before {
    content: "";
    position: absolute;
    width: 100%;
    height: 65rem;
    top: 0;
    left: 0;
    right: 0;
    background-color: var(--primary-color);
    z-index: -1;
}

.contact__container {
    max-width: var(--mx-width);
    margin: 0 auto;
    overflow: hidden;
}

.contact__header {
    margin-bottom: 6.5rem;
    text-align: center;
}

.contact__subtitle {
    color: var(--color-bg-btn);
    font-size: 2rem;
    font-weight: 500;
    margin-bottom: 1.5rem;
    display: inline-block;
}

.contact__title {
    width: 70%;
    margin: 0 auto;
    margin-bottom: 5.5rem;
    font-size: 6.4rem;
    line-height: 1.2;
    font-weight: 500;
    color: var(--primary-secondary);
}

.contact__btn {
    display: inline-block;
    position: relative;
    z-index: 1;
    overflow: hidden;
    padding: 2.3rem 5.5rem;
    background-color: var(--primary-secondary);
    border-radius: 20px;
    font-weight: 500;
    text-align: center;
    transition: all 300ms ease-in-out;
}

.contact__btn:hover {
    background-color: var(--color-bg-btn);
}

.contact__images {
    position: relative;
    text-align: center;
    border-bottom: 1px solid var(--color-borders);

    display: flex;
}

.contact__thumb {
    display: inline-block;
    position: relative;
}

.contact__thumb--laptop {
    left: 2rem;
    /* margin-left: -5rem;
    margin-bottom: -0.8rem; */
}

.contact__thumb--chat {
    /* z-index: -1;  */
    left: 10rem;
    z-index: 3;
} 


.contact__thumb--mobile {
    position: absolute;
    right: 7rem;
    top: 5rem;
}


.backshapes__item {
    position: absolute;
    z-index: -1;

}

.backshapes--shape1 {
    top: 0;
    left: 32%;
}

.backshapes--shape2 {
    top: 18rem;
    left: 18%;
    opacity: 0.5;
    animation: moveShape3 20s infinite;
}

.backshapes--shape3 {
    top: 31%;
    left: 20%;
    animation: moveShape4 30s infinite;
}

.backshapes--shape4 {
    top: 44%;
    left: 17%;
    animation: moveShape3 22s infinite;
}

.backshapes--shape5 {
    top: 23%;
    right: 14%;
    animation: moveShape6 22s infinite;
}

.backshapes--shape6 {
    bottom: 40%;
    left: 15%;
    animation: moveShape5 22s infinite;
}

.backshapes--shape7 {
    top: 23%;
    left: 23%;
    animation: moveShape4 22s infinite;
}

/* ESTILOS FOOTER  */

.layout__footer {
    margin-top: 4rem;
}

.footer__container {
    max-width: var(--mx-width);
    margin:  0 auto;
}

.footer__top {
    padding-bottom: 7rem;
}

.footer__social {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.social__img {
    display: inline;
    color: #807e7e;
    font-size: 3rem;
    padding: 0.5rem;
    transition: all 300ms ease-in-out;
}

.social__link:hover > .social__img {
    color: #333;
}

.footer__main {
    display: flex;
    flex-direction: row;
}

.footer__fleft {
    flex-basis: 60%;
}

.fleft__container {
    border-right: 1px solid #b2a8a8;
    margin: 2rem;
    box-shadow: 0 24px 48px -15px #ddd;
    padding-right: 8rem;
    margin-right: 4rem;
    margin-bottom: 8rem;
}

.fleft__title {
    display: inline-block;
    font-size: 6.4rem;
    line-height: 1.2;
    font-weight: 500;
    color: var(--color-title);
    margin-bottom: 2rem;    
}

.fleft__subtitle {
    font-size: 1.7rem;
    margin-bottom: 4rem;
}

.fleft__title,
.fleft__subtitle,
div.fleft__group {
    padding: 0 3rem;
}

.fleft__group {
    background-color: var(--primary-secondary);
    border-radius: 20px;
    width: 100%;
    height: 7.2rem;
    padding: 1rem;
    box-shadow: 0 24px 48px -15px #ddd;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.fleft__email-icon {
    display: flex;
    justify-content: center;
    align-items: center;
}

.fleft__form-control {
    display: block;
    padding: 0.5rem 1.5rem;
    height: auto;
    border: none;
    outline: none;
    color: var(--color-text-body);
    flex: 1;

}

.fleft__button {
    padding: 1.5rem 3.3rem;
    background-color: var(--primary-color);
    color: var(--primary-secondary);
    border-radius: 20px;
    border: none;
    outline: none;
}

.fleft__button:hover {
    background-color: var(--color-bg-btn);
    transition: all 300ms ease-in-out;
    cursor: pointer;
}

.footer__fright {
    display: flex;
    justify-content: space-between;
    flex-basis: 40%;
}

.footer__widget {
    width: 100%;
    padding-top: 2.5rem;
}

.widget__title {
    font-size: 2.1rem;
    font-weight: bold;
    color: var(--color-title);
    margin-bottom: 4.3rem;
}

.widget__link {
    margin-bottom: 3rem;
    font-size: 1.8rem;
}

.widget__link:hover {
    color: var(--primary-color);
    cursor: pointer;
}

.footer__bottom {
    display: flex;
    padding: 2.5rem 0;
    font-size: 1.7rem;
    border-top: 1px solid #a3a3a3;
    padding-top: 2rem;
}

.footer__copyright {
    flex-basis: 75%;
}

.copyright__text,
.flinks__item {
    font-weight: 500;
    color: #a3a3a3;
}

.flinks__item:first-child {
    margin-right: 2.5rem;
}

.footer__links {
    flex-basis: 20%;
}


.footer__flinks {
    position: relative;
    display: flex;
    justify-content: space-evenly;
}

.flinks__title:hover {
    color: var(--color-banner);
    transition: all 300ms ease-in-out;
}

.flinks__item--separator::after {
    content: "";
    height: 4px;
    width: 4px;
    background-color: #998f8f;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    right: 46%;
}

/* NAVEGACION RESPONSIVE  */

.navbar__mobile-btn {
    display: none;
    cursor: pointer;
}

.menu-mobile {
    display: none;
}

.menu-mobile {
    visibility: hidden;
    opacity: 0;
    position: fixed;
    top: 0;
    left: -300px;
    width: 30rem;
    z-index: 10;
    height: 100%;
    transition: all 200ms ease-in-out;
    background-color: var(--primary-secondary);
    padding: 5rem 1rem;
    padding-top: 0;
    box-shadow: 0px 0px 85px -35px rgba(0, 0, 0, 0.5);
    overflow-y: auto;
    transition: all 500ms ease-in-out;
}

.menu-mobile--show {
    display: block;
    visibility: visible;
    opacity: 1;
    left: 0;
}

.menu-mobile__header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0rem 1rem;
    padding: 2rem 0rem;
    border-bottom: 1px solid #e3e6e9;
}

.menu-mobile__container-logo {
    width: 16rem;
}

.menu-mobile__close {
    background-color: transparent;
    height: 3rem;
    width: 3rem;
    border: 2px solid #e3e6e9;
    border-radius: 1rem;
    color: #e3e6e9;
    font-size: 1.6rem;
    cursor: pointer;
}

.mobile__list {
    display: block;
    height: 100%;
    overflow: auto;
}

.menu-mobile__item {
    position: relative;
    border-bottom: 1px solid #e3e6e9;
    margin: 0 1rem;
}

.menu-mobile__link {
    position: relative;
    height: 5rem;
    line-height: 5rem;
    color: var(--color-text-body);
    font-weight: 500;    
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.menu-mobile__icon {
    font-size: 1.4rem;
}

.menu-mobile__submenu-mobile {
    display: none;
    visibility: visible;
    opacity: 1;
    min-width: 100%;
    padding: 0;
    padding-bottom: 1rem;
}

.submenu-mobile__link {
    display: block;
    text-decoration: none;
    position: relative;
    padding: 0.7rem 1rem;
    font-size: 1.5rem;
    text-transform: capitalize;
    font-weight: 500;
    color: var(--color-text-body);
}

/* STYLE DARK MODE BUTTON  */

.switcher {
    position: fixed;
    top: 20rem;
    left: 0;
    background-color: var(--primary-color);
    border-radius: 0 3rem 3rem 0;
    padding: 1rem;
    z-index: 15;
}

.switcher__btn {
    cursor: pointer;
    background: transparent;
    border: none;
    display: flex;
}

.switcher__icon-dark,
.switcher__icon-light {
    color: var(--primary-secondary);
    font-size: 1.8rem;
    height: 4rem;
    width: 4rem;
    line-height: 3.6rem;
}

.switcher__icon-dark {
    display: none;
}